# double::parse

Converts the specified string representation of a number to its double-precision floating point number equivalent.

### Usage

`double double::parse(s)`

### Parameters

Name | Type | Description
--- | --- | ---
s | string | A string containing a number to convert.

### Return Value

A double-precision floating point number equivalent to the numeric value or symbol specified in s.

### Exceptions

The function will fail in any of the following circumstances:

- s is not a number in a valid format.
- s represents a number less than `MinValue` or greater than `MaxValue`.

### Remarks

The NumberFormatInfo for the invariant culture is used to supply formatting information about s.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)